Subject: Re: [0/14] Ebony support, 2nd spin

From: Arnd Bergmann <[email-masked]>
Date: Tue, 20 Feb 2007 15:16:24 +0100

On Tuesday 20 February 2007 15:05, Josh Boyer wrote:
> Which probably has something to do with the of_serial driver being used
> now. =A0Just an FYI.

If you want to use of_serial together with serial console, you need
to make sure that the detection logic in arch/powerpc/kernel/legacy_serial.c
finds the port. It currently finds the serial port on axon, but that
requires that the bus it's on is of type "opb" and the device itself
is listed as "stdout" and has type "serial" and is compatible with
"ns16750" (note: the others look for "ns16550" here).

	Arnd <><